#include "Meter.h"

Meter::Meter (char * outFilename) {
    out.open(outFilename);
}
   // InSignal interface
void Meter::connectInput (OutSignal* p_output){
  testPoints.push_back(p_output);
  p_output->addDrain(this);
}
void Meter::addSource(OutSignal* p_output){
  testPoints.push_back(p_output);
}
   // InSignal interface end
void Meter::writeHeader() {
  out << "Time\t";
	//cout << "Time\t";
  for (int i=0; i<testPoints.size(); i++) {
     out << testPoints[i]->getDescription()<<"\t";
		 //cout << testPoints[i]->getDescription()<<"\t";
	}
  out << endl;
	//cout << endl;
}
void Meter::log(float time) {
  out << time << "\t";
	//cout << time << "\t";
  for (int i=0; i<testPoints.size(); i++){
    out << (testPoints[i]->getValue()?1:0) << "\t";
		//cout << (testPoints[i]->getValue()?1:0) << "\t";
	}
  out << endl;
	//cout << endl;
}
