#include "Inverter.h"
#include <cstddef> // access to NULL

int Inverter::nextId=0;

Inverter::Inverter(float delay, Simulator* ps)
                  :Gate(delay,nextId++, ps)   {
   source=NULL;
}
bool Inverter::computeOutput(){
  if (source==NULL) return false;
  bool in = source->getValue();
  return(!in);
}  
void Inverter::connectInput(OutSignal* p_output){
    source = p_output;
    p_output->addDrain(this);
    inputValueChanged();
}
